Bug 1031354 - [PATCH] remove title bar on full screen
[PATCH] remove title bar on full screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 01:47 EST by William Brown
Modified: 2015-02-17 14:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:16:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Apply hide-titlebar-when-maximised (523 bytes, patch)
2013-11-17 01:48 EST, William Brown
no flags Details | Diff

  None (edit)
Description William Brown 2013-11-17 01:47:22 EST
Description of problem:
Modern laptops and screens are widescreen. This means that a full screen title bar ends up wasting a significant portion of the screen. Consider that a title bar is 25 pixels high, on a 768 tall screen. This means that 3.25% of the screen is wasted on a title bar when fullscreened! This is even after I have reduced font sizes etc. 

The attached patch gets the window to hide the titlebar when maximized. This helps increase the available screen space for content of the terminal. It has no effect on a non-maximised window. Additionally, the precedent is set to follow this behaviour as this brings gnome-terminal inline with the behaviour of nautilus.

Additional info:
[1] https://developer.gnome.org/gtk3/stable/GtkWindow.html#gtk-window-set-hide-titlebar-when-maximized
Comment 1 William Brown 2013-11-17 01:48:19 EST
Created attachment 825070 [details]
Apply hide-titlebar-when-maximised
Comment 2 Matthias Clasen 2013-11-18 08:28:16 EST
We're trying to avoid the hide-titlebar setting nowadays - it was a quick fix early on, but it has considerable problems, starting with the fact that the close button disappears entirely, leaving many people unable to close that application. And no obvious way to unmaximize, leaving them unable to get the close button back...

It is much better to redesign the application to use a header bar, which avoids these problems while still making the titlebar area available for application content.
Comment 3 Fedora End Of Life 2015-01-09 15:36:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:16:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.